<?php
session_start();
// Conexion a la base de datos
$host = 'localhost';
$dbname = 'yoveraes_botica';
$username = 'yoveraes_userdb';
$password = 't7@s5FxYn1GB';

try {
    $conn = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    echo json_encode(['error' => "Error de conexión: " . $e->getMessage()]);
    exit();
}

// Obtener la fecha desde la petición GET
$fecha = $_GET['fecha'] ?? '';

if ($fecha) {
    // Consulta para obtener el monto de "CONTADO"
    $stmt = $conn->prepare("SELECT SUM(total) AS totalC FROM ventas WHERE fecha = :fecha AND metodo = 'CONTADO' AND correo='$_SESSION[correo]'");
    $stmt->bindParam(':fecha', $fecha);
    $stmt->execute();
    $contado = $stmt->fetch(PDO::FETCH_ASSOC)['totalC'] ?? 0;

    // Consulta para obtener el monto de "TRASNFERENCIA"
    $stmt = $conn->prepare("SELECT SUM(total) AS totalT FROM ventas WHERE fecha = :fecha AND metodo = 'TRANSFERENCIA' AND correo='$_SESSION[correo]'");
    $stmt->bindParam(':fecha', $fecha);
    $stmt->execute();
    $transferencia = $stmt->fetch(PDO::FETCH_ASSOC)['totalT'] ?? 0;

    // Consulta para obtener el monto de "YAPE"
    $stmt = $conn->prepare("SELECT SUM(total) AS totalY FROM ventas WHERE fecha = :fecha AND metodo = 'YAPE' AND correo='$_SESSION[correo]'");
    $stmt->bindParam(':fecha', $fecha);
    $stmt->execute();
    $yape = $stmt->fetch(PDO::FETCH_ASSOC)['totalY'] ?? 0;

    // Consulta para obtener el monto de "PLIN"
    $stmt = $conn->prepare("SELECT SUM(total) AS totalP FROM ventas WHERE fecha = :fecha AND metodo = 'PLIN' AND correo='$_SESSION[correo]'");
    $stmt->bindParam(':fecha', $fecha);
    $stmt->execute();
    $plin = $stmt->fetch(PDO::FETCH_ASSOC)['totalP'] ?? 0;

    // Consulta para obtener el monto de "OTRO"
    $stmt = $conn->prepare("SELECT SUM(total) AS totalO FROM ventas WHERE fecha = :fecha AND metodo = 'OTRO' AND correo='$_SESSION[correo]'");
    $stmt->bindParam(':fecha', $fecha);
    $stmt->execute();
    $otro = $stmt->fetch(PDO::FETCH_ASSOC)['totalO'] ?? 0;

    // Calcular el total sumando todos los métodos de pago
    $total = $contado + $transferencia + $yape + $plin + $otro;

    // Enviar respuesta en formato JSON
    echo json_encode([
        'contado' => floatval($contado),
        'transferencia' => floatval($transferencia),
        'yape' => floatval($yape),
        'plin' => floatval($plin),
        'otro' => floatval($otro),
        'total' => floatval($total)
    ]);
} else {
    echo json_encode(['contado' => 0, 'transferencia' => 0, 'yape' => 0, 'plin' => 0, 'otro' => 0, 'total' => 0]);
}
?>